summaryrefslogtreecommitdiffstats
path: root/multimedia/dvdstyler/dvdstyler.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/dvdstyler/dvdstyler.SlackBuild')
-rw-r--r--multimedia/dvdstyler/dvdstyler.SlackBuild29
1 files changed, 24 insertions, 5 deletions
diff --git a/multimedia/dvdstyler/dvdstyler.SlackBuild b/multimedia/dvdstyler/dvdstyler.SlackBuild
index 9364da4fc3..7cacd8c268 100644
--- a/multimedia/dvdstyler/dvdstyler.SlackBuild
+++ b/multimedia/dvdstyler/dvdstyler.SlackBuild
@@ -2,11 +2,29 @@
# Slackware build script for dvdstyler
-# Written by Matteo Bernardini <ponce@slackbuilds.org>
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=dvdstyler
SPRGNAM=DVDStyler
-VERSION=${VERSION:-2.3.4}
+VERSION=${VERSION:-2.5.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -43,7 +61,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SPRGNAM-$VERSION
-tar xvf $CWD/$SPRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$SPRGNAM-$VERSION.tar.?z*
cd $SPRGNAM-$VERSION
chown -R root:root .
find . \
@@ -54,10 +72,11 @@ find . \
# a header is renamed in ffmpeg-0.9 so check if applies
if [ -f /usr/include/libavfilter/buffersink.h ]; then
- sed -i "s|vsink_buffer\.h|buffersink.h|" src/mediatrc_ffmpeg.cpp
+ sed -i "s|vsink_buffer\.h|buffersink.h|" src/mediatrc_ffmpeg.cpp || exit 1
fi
-LDFLAGS="-ljpeg" \
+sh autogen.sh || true
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \